import type { InferInsertModel, InferSelectModel } from "drizzle-orm";
import { integer, pgTable, text, timestamp } from "drizzle-orm/pg-core";
import type z from "zod";

export const serverStats = pgTable("serverStats", {
    id: text("id").primaryKey().default("serverStats"),
    build: integer("build").notNull().default(1),
    lastUpdate: timestamp("lastUpdate").defaultNow(),
});

export type ServerStats = InferSelectModel<typeof serverStats>; // SELECT type
//export type NewServerStats = InferInsertModel<typeof serverStats, "insert">; // INSERT type
